Bug 227942 - lang/erlang-runtime20 fails to build with libressl-2.7.2_1
Summary: lang/erlang-runtime20 fails to build with libressl-2.7.2_1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-05-03 02:36 UTC by Stefan Grundmann
Modified: 2018-05-14 08:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments
fixed port (1.07 KB, patch)
2018-05-03 02:36 UTC, Stefan Grundmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Grundmann 2018-05-03 02:36:04 UTC
Created attachment 193014 [details]
fixed port

libressl-2.7.x API change breaks lib/crypto build.

affects other erlang runtimes as well.
Comment 1 Bernard Spil freebsd_committer 2018-05-07 18:08:44 UTC
Thanks Stefan!

Adding this to https://wiki.freebsd.org/LibreSSL/2.7 and will be testing it for inclusion in TrueOS and HardenedBSD's ports repos.

Would you happen to know if the fix for the 1.9 port is the same?
Comment 2 Stefan Grundmann 2018-05-14 08:00:47 UTC
fixed in 20.3.6